Bug 1298569 - "Remember me on this computer" does not work as user can expect
"Remember me on this computer" does not work as user can expect
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Sankarshan Mukhopadhyay
sds-qe-bugs
:
Depends On:
Blocks: Console-2-Feature-Freeze
  Show dependency treegraph
 
Reported: 2016-01-14 07:58 EST by Martin Kudlej
Modified: 2016-11-13 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-01-14 07:58:09 EST
Description of problem:
I think that this checkbox does not work as user can expect. As user I expect that checking this checkbox will create session cookie with longer expiration time than if this checkbox is not checked. This is not true and in both cases cookie has same expiration time.
Does checking of this checkbox mean anything else than I've written here?

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.6-0.1.alpha1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. check "Remember me on this computer" checkbox on login page
2. login
3. check expiration time of cookie and compare it with expiration time of cookie made by login procedure where this checkbox is not checked

Expected results:
Login with checked "Remember me on this computer" checkbox will create session cookie with longer expiration that login without checked checkbox.
Comment 3 Ju Lim 2016-05-10 10:22:51 EDT
For 1.0, I think we can defer this as it's a nice-to-have.
japplewh@redhat.com - FYI.
Comment 4 Nishanth Thomas 2016-05-14 01:07:14 EDT
For the current release removing the "Remember me on this computer"  from UI
Comment 5 Karnan 2016-06-27 03:32:29 EDT
this is removed.  https://review.gerrithub.io/#/c/281198/
Comment 6 Martin Kudlej 2016-07-01 06:46:25 EDT
"Remmember" link removal tested with rhscon-ui-0.0.43-1.el7scon.noarch and it works. -> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.